#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	tz-data-code
Version		:	2023c
Release		:	14.4.0.0%{?dist}
Summary		:	Timezone data
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Public Domain
URL		:	https://www.iana.org/time-zones

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gawk
BuildRequires	:	perl

requires	:	coreutils
Requires	:	glibc

Obsoletes	:	tzdata		=  2022f
#-----------------------------------------------------------------------------
%description
This package contains data files with rules for various timezones around
the world.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README NEWS 
%license LICENSE
%{_bindir}/tzselect
%{_bindir}/zdump
%{_sbindir}/zic
%{_datadir}/zoneinfo/*
%{_datadir}/zoneinfo-leaps/*
%{_datadir}/zoneinfo-posix
%{_mandir}/man3/*.3.gz
%{_mandir}/man5/tzfile.5.gz
%{_mandir}/man8/tzselect.8.gz
%{_mandir}/man8/zdump.8.gz
%{_mandir}/man8/zic.8.gz

#-----------------------------------------------------------------------------
#installation
%post
LOCALTIME=%{_sysconfdir}/localtime

if [ ! -L $LOCALTIME ] ; then
  #setting time on EST5EDT by default
  %{__rm} -fr $LOCALTIME
  ln -sf %{_datadir}/zoneinfo/posix/EST5EDT $LOCALTIME
  fi

#un-installation
%preun
if [ "$1" = 0 ]; then
  LOCALTIME=%{_sysconfdir}/localtime
  %{__rm} -fr $LOCALTIME
  fi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} "%{_smp_mflags}"

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

_timezones="						\
	africa						\
	antarctica					\
	asia						\
	australasia					\
        europe						\
	northamerica					\
	southamerica					\
        etcetera					\
	backward					\
	factory						\
	"

# install tzdata stuff
for tz in $_timezones
  do
  ./zic							\
	-b fat						\
	-d %{buildroot}%{_datadir}/zoneinfo		\
	$tz
  ./zic							\
	-b fat						\
	-d %{buildroot}%{_datadir}/zoneinfo/posix	\
	$tz
  ./zic							\
	-b fat						\
	-d %{buildroot}%{_datadir}/zoneinfo/right	\
	-L leapseconds					\
	$tz
  done

#localtime will be set by rpm install
%{__rm} %{buildroot}%{_sysconfdir}/localtime

#To remove static library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.a					\
	-delete

#-----------------------------------------------------------------------------
%changelog
